Python 模塊更新時出現超時錯誤
ฅ'ω'ฅ♪

Python 模塊更新時出現超時錯誤

給Py裝個新的圖形庫模塊,結果安裝模塊時提示

You are using pip version 19.0.3, however version 19.1.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

好吧那當我們輸入

pip install --upgrade pip

跑是能跑但是下載到一半就會報錯 英文不好的我讀了一下報錯信息之後 寫入了

python -m pip install -U pip --user

一樣的報錯信息 耐心地讀完所有信息之後發現關鍵在於

……
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:
……

那麽問題就很好解決了

python -m pip --default-timeout=1000 install -U pip

限制timeout就可了,或者有辦法取得更好的網絡條件應該也可以解決

此外還可以嘗試更換源

-i http://pypi.douban.com/simple/ --trusted-host pypi.douban.com

安裝pracmln

pip install pracmln -i http://pypi.douban.com/simple/ --trusted-host pypi.douban.com

爽是爽了,問題又出現了= =

下回来的文件是whl类型的,无法打开

解決這個問題,需要給python下個wheel

pip install whl

此外,如果想本地装whl文件可以按如下步骤

  1. 下载whl文件( http://www.lfd.uci.edu/~gohlke/pythonlibs/ )

  2. 运行cmd,转到Python的Scripts目录下

  3. cd C:\你的py路径(系统path的!)\Scripts

  4. pip install wheel pip install whl文件下到哪了\matplotlib-2.1.2-cp27-cp27m-win_amd64.whl

CANCEL

-评论-

Here you can post what you want to say, if you have more information please contact me by the following way.

-昵称-
-QQ-
-邮箱-
想说些什么?
-SUBMIT-

-电联 Phone-

+86 18520664652

-邮箱 Email-

boogieLing_o@163.com

boogieLing_o@qq.com

Your name. OS platform Browser model

What do you want to say?

created time

游說萬乘苦不早,著鞭跨馬涉遠道。

阿凌的貓爬架

幸會,

激活Ubuntu

转到“设置”以激活Ubuntu。

R0's board.